Zabbix-Agent auf vyos installieren

Auch auf vyos kann man den zabbix-agent laufen lassen und so den vyos-Router monitoren.
Dazu nur in Kürze die Schritte:

  • Direkt aus dem Repo den agent herunterladen und dann installieren: http://repo.zabbix.com/zabbix/2.2/debian/pool/main/z/zabbix/zabbix-agent_2.2.16-1+squeeze_amd64.deb. (Ich habe mich nicht “getraut”, das Repo richtig in vyos einzutragen.)
    wget http://repo.zabbix.com/zabbix/2.2/debian/pool/main/z/zabbix/zabbix-agent_2.2.16-1+squeeze_amd64.deb
    sudo dpkg --install zabbix-agent_2.2.16-1+squeeze_amd64.deb
    
  • Konfig /etc/zabbix/zabbix_agentd.conf. Meine wesentlichen Punkte:
    PidFile=/var/run/zabbix/zabbix_agentd.pid
    SourceIP=192.168.40.2
    Server=docker-int1.steinkopf.net
    ListenIP=192.168.40.2
    ServerActive=docker-int1.steinkopf.net
    Hostname=archerc7
    # LogFile=    # If not set, syslog is used
    
  • Startskript /etc/init.d/zabbix-agent:
    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides:          zabbix-agent
    # Required-Start:    $remote_fs $network 
    # Required-Stop:     $remote_fs
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: Start zabbix-agent daemon
    ### END INIT INFO
    
    set -e
    
    NAME=zabbix_agentd
    DAEMON=/usr/sbin/$NAME
    DESC="Zabbix agent"
    
    test -x $DAEMON || exit 0
    
    DIR=/var/run/zabbix
    PID=$DIR/$NAME.pid
    RETRY=15
    
    if test ! -d "$DIR"; then
      mkdir -p "$DIR"
      chown -R zabbix:zabbix "$DIR"
    fi
    
    export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"
    
    # define LSB log_* functions.
    . /lib/lsb/init-functions
    
    if [ -r "/etc/default/zabbix-agent" ]; then
        . /etc/default/zabbix-agent
    fi
    
    case "$1" in
      start)
        log_daemon_msg "Starting $DESC" "$NAME"
        start-stop-daemon --oknodo --start --pidfile $PID --exec $DAEMON >/dev/null 2>&1
        case "$?" in
            0) log_end_msg 0 ;;
            *) log_end_msg 1; exit 1 ;;
        esac
        ;;
      stop)
        log_daemon_msg "Stopping $DESC" "$NAME"
        start-stop-daemon --oknodo --stop --pidfile $PID --retry $RETRY
        case "$?" in
            0) log_end_msg 0 ;;
            *) log_end_msg 1; exit 1 ;;
        esac
        ;;
      status)
        status_of_proc -p "$PID" "$DAEMON" "$NAME" && exit 0 || exit $?
        ;;
      restart|force-reload)
        $0 stop
        $0 start
        ;;
      *)
        echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
    esac
    
    exit 0
    

    (Ich habe das irgendwo heruntergeladen, weiß aber nicht mehr wo – ich hoffe ich verstoße damit nicht gegen irgendwelche Rechte…)

  • Rundir anlegen:

    mkdir /var/run/zabbix
    chown zabbix.zabbix /var/run/zabbix
    
  • Aktivieren:
    sudo update-rc.d zabbix-agent defaults
    sudo /etc/init.d/zabbix-agent start
    

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht.